Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class CodecFactoryManagerImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.PI.CodecFactoryManagerImpl

All Implemented Interfaces:
  CodecFactory, CodecFactoryManager, CodecFactoryOperations, IDLEntity, Object, java.io.Serializable

public class CodecFactoryManagerImpl
extends LocalObject
implements CodecFactory, CodecFactoryManager

This class implements the Codec Factory. It is used to return a Codec according to a encoding format.

Version:
  $Revision: 1.7 $ $Date: 2002/07/14 18:55:10 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`CodecFactoryManagerImpl()`

Method Summary
`Codec` | `create_codec(Encoding enc)` Operation create_codec creates a codec from an encoding.
`void` | `register_codec_factory(Encoding enc, CodecFactory factory)` Registration point for codec factories.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### CodecFactoryManagerImpl

    public CodecFactoryManagerImpl()

Method Detail

### create_codec

    public Codec create_codec(Encoding enc)
                       throws UnknownEncoding

  Operation create_codec creates a codec from an encoding.
  Specified by:
    `create_codec` in interface `CodecFactoryOperations`
  Parameters:
    `enc` - The encoding to create a codec from.
  Returns:
    The codec created from the specified encoding.
  Throws:
    `UnknownEncoding` - When the factory is null.

### register_codec_factory

    public void register_codec_factory(Encoding enc,
                                       CodecFactory factory)

  Registration point for codec factories.
  Specified by:
    `register_codec_factory` in interface `CodecFactoryManager`
  Parameters:
    `enc` - The encopding to register a factory for.
    `factory` - The factory for the specified encoding.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD